version 7.0
set more off
capture log close
log using "C:\fd-data\police.log", replace
* *** police
use "C:\fd-data\fd-cross.dta", clear
* * distribution of police
kdensity police, normal
save police.gph, replace
swilk police
* gen lnpolice = ln(police)
* swilk lnpolice
* drop lnpolice
* *** 1st analysis (bivariate)
reg police feddummy
reg police fedtype
reg police fedlijp
reg police fedkeman
reg police fedtreis
reg police fedgth
reg police fedmadx
reg police dezrev2
reg police dezrev3
reg police dezrev4
reg police snadm
reg police dezrev1
reg police dezexp
reg police pord
* *** 2nd analysis (mean difference by federalism)
sort feddummy
by feddummy: sum police
gen fpolice = police if feddummy == 1
gen upolice = police if feddummy == 0
sdtest fpolice = upolice
ttest fpolice = upolice, unpaired
* *** 3rd analysis (bivariate model selection)
* reg police pcpord
* reg police growth10
* reg police unemp10
* reg police infl10
* reg police tradebal10
* reg police govsize10
* reg police socexp10
* reg police budgdef10
* reg police incineq1
* reg police incineq2
* reg police incineq3
* reg police pop
* reg police area
* reg police popdens
* reg police ethnic
* reg police religion
* reg police hdi02
* reg police urban
* reg police legeng
* reg police legfren
* reg police legger
* reg police legscan
* reg police democ
* reg police medage
* reg police polisys
* * model1 specification
* reg police tradebal10 urban democ
* reg police tradebal10 urban
* vif
* * inclusion of federalism, decentralization, fiscal variables
* reg police tradebal10 urban feddummy
* reg police tradebal10 urban fedtype
* reg police tradebal10 urban fedlijp
* reg police tradebal10 urban fedkeman
* reg police tradebal10 urban fedtreis
* reg police tradebal10 urban fedgth
* reg police tradebal10 urban fedmadx
* reg police tradebal10 urban pcgrants
* reg police tradebal10 urban pcgrants feddummy
* reg police tradebal10 urban pcgrants fedtype
* reg police tradebal10 urban pcgrants fedlijp
* reg police tradebal10 urban pcgrants fedkeman
* reg police tradebal10 urban pcgrants fedtreis
* reg police tradebal10 urban pcgrants fedgth
* reg police tradebal10 urban pcgrants fedmadx
* reg police tradebal10 urban pcgrants dezrev2
* reg police tradebal10 urban pcgrants dezrev3
* reg police tradebal10 pcgrants dezrev3
* reg police tradebal10 urban pcgrants dezrev4
* reg police tradebal10 pcgrants dezrev4
* reg police tradebal10 urban pcgrants borrauton
* reg police tradebal10 urban pcgrants hbc
* reg police tradebal10 urban pcgrants snadm
* reg police tradebal10 urban pcgrants dezrev1
* reg police tradebal10 urban pcgrants pcsnborr
* reg police tradebal10 urban pcgrants fimb1
* reg police tradebal10 urban pcgrants fimb2
* reg police tradebal10 urban pcgrants grants
* reg police tradebal10 urban pcgrants dezexp
* reg police tradebal10 urban pcgrants pord
* reg police urban pcgrants pord
* reg police pcgrants pord
* reg police tradebal10 urban dezrev2
* reg police urban dezrev2
* reg police tradebal10 urban dezrev3
* reg police tradebal10 dezrev3
* reg police tradebal10 urban dezrev4
* reg police tradebal10 urban borrauton
* reg police tradebal10 urban hbc
* reg police tradebal10 urban snadm
* reg police tradebal10 snadm
* reg police tradebal10 urban dezrev1
* reg police tradebal10 urban pcsnborr
* reg police tradebal10 urban fimb1
* reg police tradebal10 urban fimb2
* reg police tradebal10 urban grants
* reg police tradebal10 urban dezexp
* reg police urban dezexp
* reg police dezexp
* reg police tradebal10 urban pord
* reg police tradebal10 pord
* * model11 specification
reg police tradebal10 pcgrants dezrev3
* vif
hettest
predict policehat1
predict policee1, r
graph policee1 policehat1
save police1.gph, replace
swilk policee1
predict policecook1, cooksd
local max = 4/e(N)
* display `max'
tab policecook1 country if policecook1 > `max'
* reg police tradebal10 pcgrants dezrev3 if policecook1 < .5
* reg police tradebal10 dezrev3 if policecook1 < .5
reg police dezrev3 if policecook1 < .5
hettest
reg police dezrev3 feddummy if policecook1 < .5
reg police dezrev3 fedtype if policecook1 < .5
reg police dezrev3 fedlijp if policecook1 < .5
reg police dezrev3 fedkeman if policecook1 < .5
reg police dezrev3 fedtreis if policecook1 < .5
reg police dezrev3 fedgth if policecook1 < .5
reg police dezrev3 fedmadx if policecook1 < .5
* * model12 specification
reg police urban dezrev2
* vif
hettest
predict policehat2
predict policee2, r
graph policee2 policehat2
save police2.gph, replace
swilk policee2
predict policecook2, cooksd
local max = 4/e(N)
* display `max'
tab policecook2 country if policecook2 > `max'
reg police urban dezrev2, robust
reg police urban dezrev2 feddummy, robust
reg police urban dezrev2 fedtype, robust
reg police urban dezrev2 fedlijp, robust
reg police urban dezrev2 fedkeman, robust
reg police urban dezrev2 fedtreis, robust
reg police urban dezrev2 fedgth, robust
reg police urban dezrev2 fedmadx, robust
* * model13 specification
reg police dezexp
hettest
predict policehat3
predict policee3, r
graph policee3 policehat3
save police3.gph, replace
swilk policee3
predict policecook3, cooksd
local max = 4/e(N)
* display `max'
tab policecook3 country if policecook3 > `max'
reg police dezexp feddummy
reg police dezexp fedtype
reg police dezexp fedlijp
reg police dezexp fedkeman
reg police dezexp fedtreis
reg police dezexp fedgth
reg police dezexp fedmadx
* *** 4th analysis (stepwise model selection)
sum pcpord
* * sw reg police growth10 unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pcpord pop area popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* * sw reg police growth10 unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pcpord pop popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* * sw reg police unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pcpord pop popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* * sw reg police unemp10 infl10 tradebal10 govsize10 incineq1 incineq2 pcpord pop popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* * sw reg police unemp10 infl10 tradebal10 incineq1 incineq2 pcpord pop popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* * sw reg police unemp10 infl10 tradebal10 incineq1 incineq2 pop popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* * sw reg police unemp10 infl10 tradebal10 govsize10 incineq1 incineq2 pop popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
sw reg police unemp10 infl10 tradebal10 incineq1 incineq2 pop popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* vif
hettest
predict policehat4
predict policee4, r
graph policee4 policehat4
save police4.gph, replace
swilk policee4
predict policecook4, cooksd
local max = 4/e(N)
* display `max'
tab policecook4 country if policecook4 > `max'
* reg police infl10 incineq1 democ if policecook4 < .5
reg police incineq1 democ if policecook4 < .5
hettest
reg police incineq1 democ if policecook4 < .5, robust
* * inclusion of decentralization, federalism, fiscal variables
* * model21
* reg police incineq1 democ feddummy if policecook4 < .5, robust
reg police incineq1 democ fedtype if policecook4 < .5, robust
* vif
reg police incineq1 democ fedtype feddummy if policecook4 < .5, robust
reg police incineq1 democ fedtype fedlijp if policecook4 < .5, robust
reg police incineq1 democ fedtype fedkeman if policecook4 < .5, robust
reg police incineq1 democ fedtype fedtreis if policecook4 < .5, robust
reg police incineq1 democ fedtype fedgth if policecook4 < .5, robust
reg police incineq1 democ fedtype fedmadx if policecook4 < .5, robust
reg police incineq1 democ fedtype dezrev2 if policecook4 < .5, robust
reg police incineq1 democ fedtype dezrev3 if policecook4 < .5, robust
reg police incineq1 democ fedtype dezrev4 if policecook4 < .5, robust
reg police incineq1 democ fedtype snadm if policecook4 < .5, robust
reg police incineq1 democ fedtype dezrev1 if policecook4 < .5, robust
reg police incineq1 democ fedtype dezexp if policecook4 < .5, robust
reg police incineq1 democ fedtype pord if policecook4 < .5, robust
* * model22
* reg police incineq1 democ fedlijp if policecook4 < .5, robust
* reg police incineq1 democ fedkeman if policecook4 < .5, robust
* reg police incineq1 democ fedtreis if policecook4 < .5, robust
* reg police incineq1 democ fedgth if policecook4 < .5, robust
* reg police incineq1 democ fedmadx if policecook4 < .5, robust
* reg police incineq1 democ pcgrants if policecook4 < .5, robust
* reg police incineq1 democ dezrev2 if policecook4 < .5, robust
* reg police incineq1 democ dezrev3 if policecook4 < .5, robust
reg police democ dezrev3 if policecook4 < .5, robust
* vif
reg police democ dezrev3 feddummy if policecook4 < .5, robust
reg police democ dezrev3 fedtype if policecook4 < .5, robust
reg police democ dezrev3 fedlijp if policecook4 < .5, robust
reg police democ dezrev3 fedkeman if policecook4 < .5, robust
reg police democ dezrev3 fedtreis if policecook4 < .5, robust
reg police democ dezrev3 fedgth if policecook4 < .5, robust
reg police democ dezrev3 fedmadx if policecook4 < .5, robust
* * model23
* reg police incineq1 democ dezrev1 if policecook4 < .5, robust
* reg police incineq1 democ pcsnborr if policecook4 < .5, robust
* reg police incineq1 democ fimb1 if policecook4 < .5, robust
* reg police incineq1 democ fimb2 if policecook4 < .5, robust
* reg police incineq1 democ grants if policecook4 < .5, robust
* reg police incineq1 democ grants feddummy if policecook4 < .5, robust
* reg police incineq1 democ grants fedtype if policecook4 < .5, robust
* reg police incineq1 democ grants fedlijp if policecook4 < .5, robust
* reg police incineq1 democ grants fedkeman if policecook4 < .5, robust
* reg police incineq1 democ grants fedtreis if policecook4 < .5, robust
* reg police incineq1 democ grants fedgth if policecook4 < .5, robust
* reg police incineq1 democ grants fedmadx if policecook4 < .5, robust
* reg police incineq1 democ grants pcgrants if policecook4 < .5, robust
* reg police incineq1 democ grants dezrev2 if policecook4 < .5, robust
* reg police incineq1 democ grants dezrev3 if policecook4 < .5, robust
* reg police incineq1 grants dezrev3 if policecook4 < .5, robust
* reg police grants dezrev3 if policecook4 < .5, robust
reg police incineq1 grants dezrev3 if policecook4 < .5, robust
* vif
reg police incineq1 grants dezrev3 feddummy if policecook4 < .5, robust
reg police incineq1 grants dezrev3 fedtype if policecook4 < .5, robust
reg police incineq1 grants dezrev3 fedlijp if policecook4 < .5, robust
reg police incineq1 grants dezrev3 fedkeman if policecook4 < .5, robust
reg police incineq1 grants dezrev3 fedtreis if policecook4 < .5, robust
reg police incineq1 grants dezrev3 fedgth if policecook4 < .5, robust
reg police incineq1 grants dezrev3 fedmadx if policecook4 < .5, robust
* * model24
* reg police incineq1 grants dezrev4 if policecook4 < .5, robust
* reg police grants dezrev4 if policecook4 < .5, robust
reg police incineq1 grants dezrev4 if policecook4 < .5, robust
* vif
reg police incineq1 grants dezrev4 feddummy if policecook4 < .5, robust
reg police incineq1 grants dezrev4 fedtype if policecook4 < .5, robust
reg police incineq1 grants dezrev4 fedlijp if policecook4 < .5, robust
reg police incineq1 grants dezrev4 fedkeman if policecook4 < .5, robust
reg police incineq1 grants dezrev4 fedtreis if policecook4 < .5, robust
reg police incineq1 grants dezrev4 fedgth if policecook4 < .5, robust
reg police incineq1 grants dezrev4 fedmadx if policecook4 < .5, robust
* * model25
* reg police incineq1 grants dezrev1 if policecook4 < .5, robust
reg police grants dezrev1 if policecook4 < .5, robust
* vif
reg police grants dezrev1 feddummy if policecook4 < .5, robust
reg police grants dezrev1 fedtype if policecook4 < .5, robust
reg police grants dezrev1 fedlijp if policecook4 < .5, robust
reg police grants dezrev1 fedkeman if policecook4 < .5, robust
reg police grants dezrev1 fedtreis if policecook4 < .5, robust
reg police grants dezrev1 fedgth if policecook4 < .5, robust
reg police grants dezrev1 fedmadx if policecook4 < .5, robust
* * model26
* reg police incineq1 grants pcsnborr if policecook4 < .5, robust
* reg police incineq1 grants pcsnborr feddummy if policecook4 < .5, robust
reg police incineq1 grants pcsnborr fedtype if policecook4 < .5, robust
* vif
reg police incineq1 grants pcsnborr fedtype feddummy if policecook4 < .5, robust
reg police incineq1 grants pcsnborr fedtype fedlijp if policecook4 < .5, robust
reg police incineq1 grants pcsnborr fedtype fedkeman if policecook4 < .5, robust
reg police incineq1 grants pcsnborr fedtype fedtreis if policecook4 < .5, robust
reg police incineq1 grants pcsnborr fedtype fedgth if policecook4 < .5, robust
reg police incineq1 grants pcsnborr fedtype fedmadx if policecook4 < .5, robust
reg police incineq1 grants pcsnborr fedtype dezrev2 if policecook4 < .5, robust
reg police incineq1 grants pcsnborr fedtype dezrev3 if policecook4 < .5, robust
reg police incineq1 grants pcsnborr fedtype dezrev4 if policecook4 < .5, robust
reg police incineq1 grants pcsnborr fedtype snadm if policecook4 < .5, robust
reg police incineq1 grants pcsnborr fedtype dezrev1 if policecook4 < .5, robust
reg police incineq1 grants pcsnborr fedtype dezexp if policecook4 < .5, robust
reg police incineq1 grants pcsnborr fedtype pord if policecook4 < .5, robust
* * model27
* reg police grants fimb1 dezrev3 if policecook4 < .5, robust
reg police grants dezrev3 if policecook4 < .5, robust
* vif
reg police grants dezrev3 feddummy if policecook4 < .5, robust
reg police grants dezrev3 fedtype if policecook4 < .5, robust
reg police grants dezrev3 fedlijp if policecook4 < .5, robust
reg police grants dezrev3 fedkeman if policecook4 < .5, robust
reg police grants dezrev3 fedtreis if policecook4 < .5, robust
reg police grants dezrev3 fedgth if policecook4 < .5, robust
reg police grants dezrev3 fedmadx if policecook4 < .5, robust
* * model28
* reg police grants fimb1 dezrev1 if policecook4 < .5, robust
reg police fimb1 dezrev1 if policecook4 < .5, robust
* vif
reg police fimb1 dezrev1 feddummy if policecook4 < .5, robust
reg police fimb1 dezrev1 fedtype if policecook4 < .5, robust
* reg police fimb1 dezrev1 fedlijp if policecook4 < .5, robust
reg police dezrev1 fedlijp if policecook4 < .5, robust
reg police fimb1 dezrev1 fedkeman if policecook4 < .5, robust
reg police fimb1 dezrev1 fedtreis if policecook4 < .5, robust
reg police fimb1 dezrev1 fedgth if policecook4 < .5, robust
reg police fimb1 dezrev1 fedmadx if policecook4 < .5, robust
reg police fimb1 dezrev1 fedtype feddummy if policecook4 < .5, robust
reg police fimb1 dezrev1 fedtype fedlijp if policecook4 < .5, robust
reg police fimb1 dezrev1 fedtype fedkeman if policecook4 < .5, robust
reg police fimb1 dezrev1 fedtype fedtreis if policecook4 < .5, robust
reg police fimb1 dezrev1 fedtype fedgth if policecook4 < .5, robust
reg police fimb1 dezrev1 fedtype fedmadx if policecook4 < .5, robust
* * model29
* reg police grants fimb1 pcsnborr if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr feddummy if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fedtype if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fedlijp if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fedkeman if policecook4 < .5, robust
reg police grants fimb1 pcsnborr fedkeman if policecook4 < .5, robust
* vif
reg police grants fimb1 pcsnborr fedkeman fedtype if policecook4 < .5, robust
reg police grants fimb1 pcsnborr fedkeman dezrev2 if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fedkeman dezrev3 if policecook4 < .5, robust
reg police grants pcsnborr fedkeman dezrev3 if policecook4 < .5, robust
reg police grants fimb1 pcsnborr fedkeman dezrev4 if policecook4 < .5, robust
reg police grants fimb1 pcsnborr fedkeman snadm if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fedkeman dezrev1 if policecook4 < .5, robust
reg police grants pcsnborr fedkeman dezrev1 if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fedkeman dezexp if policecook4 < .5, robust
* reg police grants pcsnborr fedkeman dezexp if policecook4 < .5, robust
reg police pcsnborr fedkeman dezexp if policecook4 < .5, robust
reg police grants fimb1 pcsnborr fedkeman pord if policecook4 < .5, robust
* * model210
reg police grants fimb1 pcsnborr fedtreis if policecook4 < .5, robust
* vif
reg police grants fimb1 pcsnborr fedtreis fedtype if policecook4 < .5, robust
reg police grants fimb1 pcsnborr fedtreis dezrev2 if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fedtreis dezrev3 if policecook4 < .5, robust
reg police grants pcsnborr fedtreis dezrev3 if policecook4 < .5, robust
reg police grants fimb1 pcsnborr fedtreis dezrev4 if policecook4 < .5, robust
reg police grants fimb1 pcsnborr fedtreis snadm if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fedtreis dezrev1 if policecook4 < .5, robust
reg police grants pcsnborr fedtreis dezrev1 if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fedtreis dezexp if policecook4 < .5, robust
reg police grants pcsnborr fedtreis dezexp if policecook4 < .5, robust
reg police grants fimb1 pcsnborr fedtreis pord if policecook4 < .5, robust
* * model211
reg police grants fimb1 pcsnborr fedgth if policecook4 < .5, robust
* vif
reg police grants fimb1 pcsnborr fedgth fedtype if policecook4 < .5, robust
reg police grants fimb1 pcsnborr fedgth dezrev2 if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fedgth dezrev3 if policecook4 < .5, robust
reg police grants pcsnborr fedgth dezrev3 if policecook4 < .5, robust
reg police grants fimb1 pcsnborr fedgth dezrev4 if policecook4 < .5, robust
reg police grants fimb1 pcsnborr fedgth snadm if policecook4 < .5, robust
reg police grants fimb1 pcsnborr fedgth dezrev1 if policecook4 < .5, robust
reg police grants fimb1 pcsnborr fedgth dezexp if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fedgth pord if policecook4 < .5, robust
reg police grants pcsnborr fedgth pord if policecook4 < .5, robust
* * model212
reg police grants fimb1 pcsnborr fedmadx if policecook4 < .5, robust
* vif
reg police grants fimb1 pcsnborr fedmadx fedtype if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fedmadx dezrev2 if policecook4 < .5, robust
* reg police grants pcsnborr fedmadx dezrev2 if policecook4 < .5, robust
reg police pcsnborr fedmadx dezrev2 if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fedmadx dezrev3 if policecook4 < .5, robust
reg police grants pcsnborr fedmadx dezrev3 if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fedmadx dezrev4 if policecook4 < .5, robust
reg police grants pcsnborr fedmadx dezrev4 if policecook4 < .5, robust
reg police grants fimb1 pcsnborr fedmadx snadm if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fedmadx dezrev1 if policecook4 < .5, robust
reg police grants pcsnborr fedmadx dezrev1 if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fedmadx dezexp if policecook4 < .5, robust
* reg police grants pcsnborr fedmadx dezexp if policecook4 < .5, robust
reg police pcsnborr fedmadx dezexp if policecook4 < .5, robust
reg police grants fimb1 pcsnborr fedmadx pord if policecook4 < .5, robust
* * model213
* reg police grants fimb1 pcsnborr pcgrants if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr dezrev2 if policecook4 < .5, robust
* reg police grants pcsnborr dezrev2 if policecook4 < .5, robust
* reg police pcsnborr dezrev2 if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr dezrev3 if policecook4 < .5, robust
* reg police grants pcsnborr dezrev3 if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr dezrev4 if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr borrauton if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr hbc if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr snadm if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr dezrev1 if policecook4 < .5, robust
* reg police grants pcsnborr dezrev1 if policecook4 < .5, robust
* vif
* reg police grants pcsnborr dezrev1 feddummy if policecook4 < .5, robust
* reg police grants pcsnborr dezrev1 fedtype if policecook4 < .5, robust
* reg police grants pcsnborr dezrev1 fedlijp if policecook4 < .5, robust
* reg police grants pcsnborr dezrev1 fedkeman if policecook4 < .5, robust
* reg police grants pcsnborr dezrev1 fedtreis if policecook4 < .5, robust
* reg police grants pcsnborr dezrev1 fedgth if policecook4 < .5, robust
* reg police grants pcsnborr dezrev1 fedmadx if policecook4 < .5, robust
* * model214
* reg police grants fimb1 pcsnborr fimb2 if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fimb2 feddummy if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fimb2 fedtype if policecook4 < .5, robust
* vif
* reg police grants fimb1 pcsnborr fimb2 fedlijp if policecook4 < .5, robust
* reg police fimb1 pcsnborr fimb2 fedlijp if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fimb2 fedkeman if policecook4 < .5, robust
* vif
* reg police grants fimb1 pcsnborr fimb2 fedtreis if policecook4 < .5, robust
* vif
* reg police grants fimb1 pcsnborr fimb2 fedgth if policecook4 < .5, robust
* vif
* reg police grants fimb1 pcsnborr fimb2 fedmadx if policecook4 < .5, robust
* vif
* reg police grants fimb1 pcsnborr fimb2 pcgrants if policecook4 < .5, robust
* reg police fimb1 pcsnborr fimb2 pcgrants if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fimb2 dezrev2 if policecook4 < .5, robust
* reg police fimb1 pcsnborr fimb2 dezrev2 if policecook4 < .5, robust
* vif
* reg police grants fimb1 pcsnborr fimb2 dezrev3 if policecook4 < .5, robust
* reg police fimb1 pcsnborr fimb2 dezrev3 if policecook4 < .5, robust
* vif
* reg police grants fimb1 pcsnborr fimb2 dezrev4 if policecook4 < .5, robust
* reg police fimb1 pcsnborr fimb2 dezrev4 if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fimb2 borrauton if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fimb2 hbc if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr fimb2 snadm if policecook4  < .5, robust
* reg police grants fimb1 pcsnborr fimb2 dezrev1 if policecook4 < .5, robust
* reg police fimb1 pcsnborr fimb2 dezrev1 if policecook4 < .5, robust
* vif
* reg police grants fimb1 pcsnborr fimb2 dezexp if policecook4 < .5, robust
* reg police fimb1 pcsnborr fimb2 dezexp if policecook4 < .5, robust
* vif
* reg police grants fimb1 pcsnborr fimb2 pord if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr pord if policecook4 < .5, robust
* reg police grants pcsnborr pord if policecook4 < .5, robust
* reg police grants fimb1 pcsnborr dezexp if policecook4 < .5, robust
* reg police grants pcsnborr dezexp if policecook4 < .5, robust
* vif
* reg police grants pcsnborr dezexp feddummy if policecook4 < .5, robust
reg police pcsnborr dezexp feddummy if policecook4 < .5, robust
* reg police grants pcsnborr dezexp fedtype if policecook4 < .5, robust
reg police pcsnborr dezexp fedtype if policecook4 < .5, robust
* reg police grants pcsnborr dezexp fedlijp if policecook4 < .5, robust
reg police pcsnborr dezexp fedlijp if policecook4 < .5, robust
* reg police grants pcsnborr dezexp fedkeman if policecook4 < .5, robust
reg police pcsnborr dezexp fedkeman if policecook4 < .5, robust
* reg police grants pcsnborr dezexp fedtreis if policecook4 < .5, robust
reg police pcsnborr dezexp fedtreis if policecook4 < .5, robust
* reg police grants pcsnborr dezexp fedgth if policecook4 < .5, robust
reg police pcsnborr dezexp fedgth if policecook4 < .5, robust
* reg police grants pcsnborr dezexp fedmadx if policecook4 < .5, robust
reg police pcsnborr dezexp fedmadx if policecook4 < .5, robust
* reg police grants pcsnborr dezexp fedtype feddummy if policecook4 < .5, robust
reg police pcsnborr dezexp fedtype feddummy if policecook4 < .5, robust
reg police grants pcsnborr dezexp fedtype fedlijp if policecook4 < .5, robust
* reg police grants pcsnborr dezexp fedtype fedkeman if policecook4 < .5, robust
reg police pcsnborr dezexp fedtype fedkeman if policecook4 < .5, robust
reg police grants pcsnborr dezexp fedtype fedtreis if policecook4 < .5, robust
reg police grants pcsnborr dezexp fedtype fedgth if policecook4 < .5, robust
reg police grants pcsnborr dezexp fedtype fedmadx if policecook4 < .5, robust
* * model215
* reg police grants fimb1 pcsnborr pord if policecook4 < .5, robust
* reg police grants pcsnborr pord if policecook4 < .5, robust
* reg police grants fimb1 fimb2 if policecook4 < .5, robust
* vif
* reg police grants fimb2 if policecook4 < .5, robust
* vif
* reg police grants fimb2 feddummy if policecook4 < .5, robust
* reg police grants fimb2 fedtype if policecook4 < .5, robust
* reg police grants fimb2 fedlijp if policecook4 < .5, robust
reg police grants fimb2 fedkeman if policecook4 < .5, robust
* vif
reg police grants fimb2 fedkeman fedtype if policecook4 < .5, robust
reg police grants fimb2 fedkeman dezrev2 if policecook4 < .5, robust
reg police grants fimb2 fedkeman dezrev3 if policecook4 < .5, robust
reg police grants fimb2 fedkeman dezrev4 if policecook4 < .5, robust
reg police grants fimb2 fedkeman snadm if policecook4 < .5, robust
reg police grants fimb2 fedkeman dezrev1 if policecook4 < .5, robust
reg police grants fimb2 fedkeman dezexp if policecook4 < .5, robust
reg police grants fimb2 fedkeman pord if policecook4 < .5, robust
* * model216
reg police grants fimb2 fedtreis if policecook4 < .5, robust
* vif
reg police grants fimb2 fedtreis fedtype if policecook4 < .5, robust
reg police grants fimb2 fedtreis dezrev2 if policecook4 < .5, robust
reg police grants fimb2 fedtreis dezrev3 if policecook4 < .5, robust
reg police grants fimb2 fedtreis dezrev4 if policecook4 < .5, robust
reg police grants fimb2 fedtreis snadm if policecook4 < .5, robust
reg police grants fimb2 fedtreis dezrev1 if policecook4 < .5, robust
reg police grants fimb2 fedtreis dezexp if policecook4 < .5, robust
reg police grants fimb2 fedtreis pord if policecook4 < .5, robust
* * model217
* reg police grants fimb2 fedgth if policecook4 < .5, robust
* reg police grants fimb2 fedmadx if policecook4 < .5, robust
* reg police grants fimb2 pcgrants if policecook4 < .5, robust
* reg police grants pcgrants if policecook4 < .5, robust
* reg police grants fimb2 dezrev2 if policecook4 < .5, robust
* reg police grants fimb2 dezrev3 if policecook4 < .5, robust
* reg police grants fimb2 dezrev4 if policecook4 < .5, robust
* reg police grants fimb2 borrauton if policecook4 < .5, robust
* reg police grants fimb2 hbc if policecook4 < .5, robust
* reg police grants fimb2 snadm if policecook4 < .5, robust
* reg police grants fimb2 dezrev1 if policecook4 < .5, robust
* reg police grants fimb2 pcsnborr if policecook4 < .5, robust
* reg police grants fimb2 dezexp if policecook4 < .5, robust
* reg police grants fimb2 pord if policecook4 < .5, robust
* reg police grants fimb1 dezexp if policecook4 < .5, robust
* reg police fimb1 dezexp if policecook4 < .5, robust
reg police dezexp if policecook4 < .5, robust
reg police dezexp feddummy if policecook4 < .5, robust
reg police dezexp fedtype if policecook4 < .5, robust
reg police dezexp fedlijp if policecook4 < .5, robust
reg police dezexp fedkeman if policecook4 < .5, robust
reg police dezexp fedtreis if policecook4 < .5, robust
reg police dezexp fedgth if policecook4 < .5, robust
reg police dezexp fedmadx if policecook4 < .5, robust
reg police dezexp fedtype feddummy if policecook4 < .5, robust
reg police dezexp fedtype fedlijp if policecook4 < .5, robust
reg police dezexp fedtype fedkeman if policecook4 < .5, robust
reg police dezexp fedtype fedtreis if policecook4 < .5, robust
reg police dezexp fedtype fedgth if policecook4 < .5, robust
reg police dezexp fedtype fedmadx if policecook4 < .5, robust
* * model218
* reg police grants fimb1 pord if policecook4 < .5, robust
* reg police grants pord if policecook4 < .5, robust
* reg police incineq1 grants fimb2 if policecook4 < .5, robust
* reg police incineq1 grants dezexp if policecook4 < .5, robust
* reg police grants dezexp if policecook4 < .5, robust
* reg police dezexp if policecook4 < .5, robust
* reg police incineq1 grants pord if policecook4 < .5, robust
* reg police incineq1 democ dezexp if policecook4 < .5, robust
* reg police incineq1 democ pord if policecook4 < .5, robust
* reg police democ pord if policecook4 < .5, robust
* *** 5th analysis (further models and tests of stability)
version 9.0
* * model12
regress police urban dezrev2, robust hc3
estat ic
* * inclusion of federalism, control variables
regress police urban dezrev2 feddummy, robust hc3
regress police urban dezrev2 fedtype, robust hc3
regress police urban dezrev2 fedlijp, robust hc3
regress police urban dezrev2 fedkeman, robust hc3
regress police urban dezrev2 fedtreis, robust hc3
estat ic
regress police urban dezrev2 fedgth, robust hc3
regress police urban dezrev2 fedmadx, robust hc3
regress police urban dezrev2 tradebal10, robust hc3
regress police urban dezrev2 fedtreis tradebal10, robust hc3
* * model13
regress police dezexp
estat ic
* * inclusion of federalism, control variables
regress police dezexp fedkeman
estat ic
regress police dezexp fedtreis
estat ic
regress police dezexp tradebal10
regress police dezexp urban
regress police dezexp fedkeman tradebal10
regress police dezexp fedkeman urban
regress police dezexp fedtreis tradebal10
regress police dezexp fedtreis urban
* * model21
regress police incineq1 democ infl10
predict policecook5, cooksd
* regress police incineq1 democ infl10 if policecook5 < .5
regress police incineq1 democ if policecook5 < .5
estat hettest
regress police incineq1 democ if policecook5 < .5, robust hc3
regress police democ if policecook5 < .5, robust hc3
estat ic
* * inclusion of federalism, decentralization, fiscal variables
* regress police democ feddummy if policecook5 < .5, robust hc3
* regress police democ fedtype if policecook5 < .5, robust hc3
* regress police democ fedlijp if policecook5 < .5, robust hc3
* regress police democ fedkeman if policecook5 < .5, robust hc3
* regress police democ fedtreis if policecook5 < .5, robust hc3
* regress police democ fedgth if policecook5 < .5, robust hc3
* regress police democ fedmadx if policecook5 < .5, robust hc3
* regress police democ pcgrants if policecook5 < .5, robust hc3
* regress police democ dezrev2 if policecook5 < .5, robust hc3
* regress police democ dezrev3 if policecook5 < .5, robust hc3
* regress police democ dezrev4 if policecook5 < .5, robust hc3
* regress police democ borrauton if policecook5 < .5, robust hc3
* regress police democ hbc if policecook5 < .5, robust hc3
* regress police democ snadm if policecook5 < .5, robust hc3
* regress police democ dezrev1 if policecook5 < .5, robust hc3
* regress police democ pcsnborr if policecook5 < .5, robust hc3
* regress police democ fimb1 if policecook5 < .5, robust hc3
* regress police democ fimb2 if policecook5 < .5, robust hc3
* regress police democ grants if policecook5 < .5, robust hc3
* regress police democ dezexp if policecook5 < .5, robust hc3
* * inclusion of control variables
* regress police democ tradebal10 if policecook5 < .5, robust hc3
* regress police democ urban if policecook5 < .5, robust hc3
regress police democ dezrev1 if policecook5 < .5, robust hc3
estat ic
* regress police democ dezrev1 tradebal10 if policecook5 < .5, robust hc3
* regress police democ dezrev1 urban if policecook5 < .5, robust hc3
regress police democ dezexp if policecook5 < .5, robust hc3
estat ic
* regress police democ dezexp tradebal10 if policecook5 < .5, robust hc3
* regress police democ dezexp urban if policecook5 < .5, robust hc3
* * additional inclusion of federalism
regress police democ dezrev1 feddummy if policecook5 < .5, robust hc3
estat ic
regress police democ dezrev1 fedtype if policecook5 < .5, robust hc3
regress police democ dezrev1 fedlijp if policecook5 < .5, robust hc3
regress police democ dezrev1 fedkeman if policecook5 < .5, robust hc3
estat ic
regress police democ dezrev1 fedtreis if policecook5 < .5, robust hc3
regress police democ dezrev1 fedgth if policecook5 < .5, robust hc3
regress police democ dezrev1 fedmadx if policecook5 < .5, robust hc3
estat ic
log close

