version 7.0
set more off
capture log close
log using "C:\fd-data\socexp.log", replace
* *** social expenditure
use "C:\fd-data\fd-cross.dta", clear
* * distribution of social expenditure
swilk socexp10
kdensity socexp10, normal
save socexp.gph, replace
* *** 1st analysis (bivariate)
reg socexp10 feddummy
reg socexp10 fedtype
reg socexp10 fedlijp
reg socexp10 fedkeman
reg socexp10 fedtreis
reg socexp10 fedgth
reg socexp10 fedmadx
reg socexp10 dezrev2
reg socexp10 dezrev3
reg socexp10 dezrev4
reg socexp10 snadm
reg socexp10 dezrev1
reg socexp10 dezexp
* *** 2nd analysis (mean difference by federalism)
sort feddummy
by feddummy: sum socexp10
gen fsocexp = socexp10 if feddummy == 1
gen usocexp = socexp10 if feddummy == 0
sdtest fsocexp = usocexp
ttest fsocexp = usocexp, unpaired unequal
* *** 3rd analysis (bivariate model selection)
* reg socexp10 growth10
* reg socexp10 unemp10
* reg socexp10 infl10
* reg socexp10 tradebal10
* reg socexp10 govsize10
* reg socexp10 budgdef10
* reg socexp10 incineq1
* reg socexp10 incineq2
* reg socexp10 incineq3
* reg socexp10 pop
* reg socexp10 area
* reg socexp10 popdens
* reg socexp10 ethnic
* reg socexp10 religion
* reg socexp10 hdi02
* reg socexp10 urban
* reg socexp10 legeng
* reg socexp10 legfren
* reg socexp10 legger
* reg socexp10 legscan
* reg socexp10 democ
* reg socexp10 medage
* reg socexp10 polisys
* * model1 specification
* reg socexp10 govsize10 incineq1 legscan
* reg socexp10 incineq1 legscan
* reg socexp10 legscan
* reg socexp10 incineq1 legscan
* vif
* * inclusion of federalism, decentralization, fiscal variables
* reg socexp10 incineq1 legscan feddummy
* reg socexp10 legscan feddummy
* reg socexp10 incineq1 legscan fedtype
* reg socexp10 incineq1 legscan fedlijp
* reg socexp10 legscan fedlijp
* reg socexp10 incineq1 legscan fedkeman
* reg socexp10 incineq1 legscan fedtreis
* reg socexp10 incineq1 legscan fedgth
* reg socexp10 incineq1 legscan fedmadx
* reg socexp10 legscan fedmadx
* reg socexp10 incineq1 legscan pcgrants
* reg socexp10 incineq1 legscan dezrev2
* reg socexp10 incineq1 legscan dezrev3
* reg socexp10 legscan dezrev3
* reg socexp10 incineq1 legscan dezrev4
* reg socexp10 legscan dezrev4
* reg socexp10 incineq1 legscan borrauton
* reg socexp10 incineq1 borrauton
* reg socexp10 incineq1 legscan hbc
* reg socexp10 incineq1 hbc
* reg socexp10 incineq1 legscan snadm
* reg socexp10 incineq1 legscan dezrev1
* reg socexp10 incineq1 legscan pcsnborr
* reg socexp10 incineq1 legscan fimb1
* reg socexp10 incineq1 legscan fimb2
* reg socexp10 incineq1 legscan grants
* reg socexp10 incineq1 legscan dezexp
* * model11 specification
reg socexp10 legscan feddummy
* vif
hettest
predict socexphat1
predict socexpe1, r
graph socexpe1 socexphat1
save socexp1.gph, replace
swilk socexpe1
predict socexpcook1, cooksd
local max = 4/e(N)
* display `max'
tab socexpcook1 country if socexpcook1 > `max'
* reg socexp10 legscan feddummy if socexpcook1 < .5
reg socexp10 feddummy if socexpcook1 < .5
hettest
reg socexp10 feddummy fedtype if socexpcook1 < .5
reg socexp10 feddummy dezrev2 if socexpcook1 < .5
reg socexp10 feddummy dezrev3 if socexpcook1 < .5
reg socexp10 feddummy dezrev4 if socexpcook1 < .5
reg socexp10 feddummy snadm if socexpcook1 < .5
reg socexp10 feddummy dezrev1 if socexpcook1 < .5
reg socexp10 feddummy dezexp if socexpcook1 < .5
* * additional bivariate analysis
* reg socexp10 growth10 if socexpcook1 < .5
* reg socexp10 unemp10 if socexpcook1 < .5
* reg socexp10 infl10 if socexpcook1 < .5
* reg socexp10 tradebal10 if socexpcook1 < .5
* reg socexp10 govsize10 if socexpcook1 < .5
* reg socexp10 budgdef10 if socexpcook1 < .5
* reg socexp10 incineq1 if socexpcook1 < .5
* reg socexp10 incineq2 if socexpcook1 < .5
* reg socexp10 incineq3 if socexpcook1 < .5
* reg socexp10 pop if socexpcook1 < .5
* reg socexp10 area if socexpcook1 < .5
* reg socexp10 popdens if socexpcook1 < .5
* reg socexp10 ethnic if socexpcook1 < .5
* reg socexp10 religion if socexpcook1 < .5
* reg socexp10 hdi02 if socexpcook1 < .5
* reg socexp10 urban if socexpcook1 < .5
* reg socexp10 legeng if socexpcook1 < .5
* reg socexp10 legfren if socexpcook1 < .5
* reg socexp10 legger if socexpcook1 < .5
* reg socexp10 legscan if socexpcook1 < .5
* reg socexp10 democ if socexpcook1 < .5
* reg socexp10 medage if socexpcook1 < .5
* * inclusion of decentralization, federalism, fiscal variables
* reg socexp10 incineq3 feddummy if socexpcook1 < .5
* reg socexp10 incineq3 fedtype if socexpcook1 < .5
* reg socexp10 incineq3 fedlijp if socexpcook1 < .5
* reg socexp10 incineq3 fedkeman if socexpcook1 < .5
* reg socexp10 incineq3 fedtreis if socexpcook1 < .5
* reg socexp10 incineq3 fedgth if socexpcook1 < .5
* reg socexp10 incineq3 fedmadx if socexpcook1 < .5
* reg socexp10 incineq3 pcgrants if socexpcook1 < .5
* reg socexp10 fedmadx if socexpcook1 < .5
* reg socexp10 fedmadx
* reg socexp10 incineq3 dezrev2 if socexpcook1 < .5
* reg socexp10 incineq3 dezrev3 if socexpcook1 < .5
* reg socexp10 incineq3 dezrev4 if socexpcook1 < .5
* reg socexp10 incineq3 borrauton if socexpcook1 < .5
* reg socexp10 incineq3 hbc if socexpcook1 < .5
* reg socexp10 incineq3 snadm if socexpcook1 < .5
* reg socexp10 incineq3 dezrev1 if socexpcook1 < .5
* reg socexp10 incineq3 pcsnborr if socexpcook1 < .5
* reg socexp10 incineq3 fimb1 if socexpcook1 < .5
* reg socexp10 incineq3 fimb2 if socexpcook1 < .5
* reg socexp10 incineq3 grants if socexpcook1 < .5
* reg socexp10 incineq3 dezexp if socexpcook1 < .5
* * no results
* *** 4th analysis (stepwise model selection)
sw reg socexp10 growth10 unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 pop area popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* vif
hettest
* predict socexphat2
predict socexpe2, r
* graph socexpe2 socexphat2
* save socexp2.gph, replace
swilk socexpe2
predict socexpcook2, cooksd
local max = 4/e(N)
* display `max'
tab socexpcook2 country if socexpcook2 > `max'
reg socexp10 hdi02 urban legscan if socexpcook2 < .5
* vif
hettest
* predict socexphat3
predict socexpe3, r
* graph socexpe3 socexphat3 if socexpcook2 < .5
* save socexp3.gph, replace
swilk socexpe3 if socexpcook2 < .5
* * inclusion of decentralization, federalism, fiscal variables
* * model21
* reg socexp10 hdi02 urban legscan feddummy if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan fedtype if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan fedlijp if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan fedkeman if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan fedtreis if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan fedgth if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan fedmadx if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan pcgrants if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan dezrev2 if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan dezrev3 if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan dezrev4 if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan borrauton if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan hbc if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan snadm if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan dezrev1 if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan pcsnborr if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan fimb1 if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan fimb2 if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan grants if socexpcook2 < .5
* reg socexp10 hdi02 urban legscan dezexp if socexpcook2 < .5
* * no results
* * additional stepwise analysis
sw reg socexp10 growth10 unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 popdens ethnic religion hdi02 urban legfren legger legscan democ medage if socexpcook1 < .5, pr(.3) pe(.2) forward
* vif
hettest
* predict socexphat4
predict socexpe4, r
* graph socexpe4 socexphat4 if socexpcook1 < .5
* save socexp4.gph, replace
swilk socexpe4 if socexpcook1 < .5
predict socexpcook4, cooksd
local max = 4/e(N)
* display `max'
tab socexpcook4 country if socexpcook4 > `max'
reg socexp10 urban legscan democ if socexpcook4 < .5
hettest
predict socexphat5
predict socexpe5, r
graph socexpe5 socexphat5 if socexpcook4 < .5
save socexp5.gph, replace
swilk socexpe5 if socexpcook4 < .5
* * inclusion of decentralization, federalism, fiscal variables
* model31
* reg socexp10 urban legscan democ feddummy if socexpcook4 < .5
* reg socexp10 urban legscan democ fedtype if socexpcook4 < .5
* reg socexp10 urban legscan democ fedlijp if socexpcook4 < .5
* reg socexp10 urban legscan democ fedkeman if socexpcook4 < .5
* reg socexp10 urban legscan democ fedtreis if socexpcook4 < .5
* reg socexp10 urban legscan democ fedgth if socexpcook4 < .5
* reg socexp10 urban legscan democ fedmadx if socexpcook4 < .5
* reg socexp10 urban legscan democ pcgrants if socexpcook4 < .5
* reg socexp10 urban legscan democ dezrev2 if socexpcook4 < .5
* reg socexp10 urban legscan democ dezrev3 if socexpcook4 < .5
* reg socexp10 urban legscan democ dezrev4 if socexpcook4 < .5
* reg socexp10 urban legscan democ borrauton if socexpcook4 < .5
* reg socexp10 urban legscan democ hbc if socexpcook4 < .5
* reg socexp10 urban legscan democ snadm if socexpcook4 < .5
* reg socexp10 urban legscan democ dezrev1 if socexpcook4 < .5
* reg socexp10 urban legscan democ pcsnborr if socexpcook4 < .5
* reg socexp10 urban legscan democ fimb1 if socexpcook4 < .5
* reg socexp10 urban legscan democ fimb2 if socexpcook4 < .5
* reg socexp10 urban legscan democ grants if socexpcook4 < .5
* reg socexp10 urban legscan democ dezexp if socexpcook4 < .5
* * no results
* *** 5th analysis (* 5th analysis: further models and tests of stability
version 9.0
* * model1
reg socexp10 feddummy
estat ic
hettest
predict socexpe6, r
swilk socexpe6
predict socexpcook6, cooksd
local max = 4/e(N)
* display `max'
tab socexpcook6 country if socexpcook6 > `max'
* * inclusion of decentralization
* reg socexp10 feddummy dezrev2
* reg socexp10 feddummy dezrev3
* reg socexp10 feddummy dezrev4
* reg socexp10 feddummy snadm
reg socexp10 feddummy dezrev1
rvfplot
save socexp6.gph, replace
estat ic
reg socexp10 feddummy dezexp
estat ic
* * model1a specification
reg socexp10 feddummy dezrev1
hettest
predict socexpe7, r
swilk socexpe7
predict socexpcook7, cooksd
tab country socexpcook7 if socexpcook7 > 4/e(N)
reg socexp10 feddummy dezrev1, robust hc3
* * inclusion of control variables
* reg socexp10 feddummy dezrev1 growth10, robust hc3
* reg socexp10 feddummy dezrev1 unemp10, robust hc3
* reg socexp10 feddummy dezrev1 infl10, robust hc3
* reg socexp10 feddummy dezrev1 tradebal10, robust hc3
* reg socexp10 feddummy dezrev1 govsize10, robust hc3
* reg socexp10 feddummy dezrev1 budgdef10, robust hc3
* reg socexp10 feddummy dezrev1 incineq1, robust hc3
* reg socexp10 feddummy dezrev1 incineq2, robust hc3
* reg socexp10 feddummy dezrev1 incineq3, robust hc3
* reg socexp10 feddummy dezrev1 pop, robust hc3
* reg socexp10 feddummy dezrev1 area, robust hc3
reg socexp10 feddummy dezrev1 popdens, robust hc3
estat ic
* reg socexp10 feddummy dezrev1 religion, robust hc3
* reg socexp10 feddummy dezrev1 hdi02, robust hc3
* reg socexp10 feddummy dezrev1 urban, robust hc3
* reg socexp10 feddummy dezrev1 legeng, robust hc3
* reg socexp10 feddummy dezrev1 legfren, robust hc3
* reg socexp10 feddummy dezrev1 legger, robust hc3
* reg socexp10 feddummy dezrev1 legscan, robust hc3
* reg socexp10 feddummy dezrev1 democ, robust hc3
* reg socexp10 feddummy dezrev1 medage, robust hc3
* reg socexp10 feddummy dezrev1 polisys, robust hc3
* * model1b specification
* reg socexp10 feddummy dezexp
* hettest
* predict socexpe8, r
* swilk socexpe8
* predict socexpcook8, cooksd
* tab country socexpcook8 if socexpcook8 > 4/e(N)
* reg socexp10 feddummy dezexp if socexpcook8 < .5
* reg socexp10 feddummy dezrev1 popdens if socexpcook7 < .4 , robust hc3
* reg socexp10 feddummy dezexp popdens if socexpcook8 < .5
* * model12
reg socexp10 legscan hdi02 urban
predict socexpcook9, cooksd
reg socexp10 legscan hdi02 urban if socexpcook9 < .5
hettest
estat ic
* * inclusion of federalism, decentralization, fiscal variables
* reg socexp10 legscan hdi02 urban feddummy if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban fedtype if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban fedlijp if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban fedkeman if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban fedtreis if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban fedgth if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban fedmadx if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban pcgrants if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban dezrev2 if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban dezrev3 if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban dezrev4 if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban borrauton if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban hbc if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban snadm if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban dezrev1 if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban pcsnborr if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban fimb1 if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban fimb2 if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban grants if socexpcook9 < .5
* reg socexp10 legscan hdi02 urban dezexp if socexpcook9 < .5
* * additional inclusion of federalism & decentralization
* reg socexp10 legscan hdi02 dezrev1 feddummy if socexpcook9 < .5
reg socexp10 hdi02 urban dezrev1 feddummy if socexpcook9 < .5
estat ic
predict socexpcook10, cooksd
tab country socexpcook10 if socexpcook10 > 4/e(N)
reg socexp10 hdi02 urban dezrev1 feddummy if socexpcook10 < .5
* * inclusion of control variables
reg socexp10 hdi02 urban dezrev1 feddummy incineq1 if socexpcook10 < .5
reg socexp10 hdi02 urban dezrev1 feddummy popdens if socexpcook10 < .5
* * model3a
reg socexp10 democ legscan urban
predict socexpcook11, cooksd
reg socexp10 democ legscan urban if socexpcook11 < .5
hettest
predict socexpe11, r
swilk socexpe11 if socexpcook11 < .5
estat ic
* * inclusion of federalism, decentralization, fiscal variables
* reg socexp10 democ legscan urban feddummy if socexpcook11 < .5
* reg socexp10 democ legscan urban fedtype if socexpcook11 < .5
* reg socexp10 democ legscan urban fedlijp if socexpcook11 < .5
* reg socexp10 democ legscan urban fedkeman if socexpcook11 < .5
* reg socexp10 democ legscan urban fedtreis if socexpcook11 < .5
* reg socexp10 democ legscan urban fedgth if socexpcook11 < .5
* reg socexp10 democ legscan urban fedmadx if socexpcook11 < .5
* reg socexp10 democ legscan urban pcgrants if socexpcook11 < .5
* reg socexp10 democ legscan urban dezrev2 if socexpcook11 < .5
* reg socexp10 democ legscan urban dezrev3 if socexpcook11 < .5
* reg socexp10 democ legscan urban dezrev4 if socexpcook11 < .5
* reg socexp10 democ legscan urban borrauton if socexpcook11 < .5
* reg socexp10 democ legscan urban hbc if socexpcook11 < .5
* reg socexp10 democ legscan urban snadm if socexpcook11 < .5
* reg socexp10 democ legscan urban dezrev1 if socexpcook11 < .5
* reg socexp10 democ legscan urban pcsnborr if socexpcook11 < .5
* reg socexp10 democ legscan urban fimb1 if socexpcook11 < .5
* reg socexp10 democ legscan urban fimb2 if socexpcook11 < .5
* reg socexp10 democ legscan urban grants if sc5 < .5
* reg socexp10 democ legscan urban dezexp if socexpcook11 < .5
* reg socexp10 democ legscan urban pcsoc if socexpcook11 < .5
* reg socexp10 democ legscan urban soc if socexpcook11 < .5
* * additional inclusion of federalism & decentralization
* reg socexp10 democ legscan urban dezrev1 feddummy if socexpcook11 < .5
reg socexp10 democ urban dezrev1 feddummy if socexpcook11 < .5
estat ic
reg socexp10 democ urban dezrev1 feddummy soc if socexpcook11 < .5
reg socexp10 democ urban dezrev1 feddummy pcsoc if socexpcook11 < .5
* reg socexp10 democ urban dezrev1 feddummy hdi02 if socexpcook11 < .5
* reg socexp10 urban dezrev1 feddummy hdi02 if socexpcook11 < .5
* reg socexp10 urban dezrev1 feddummy hdi02 soc if socexpcook11 < .5
* * model3b
reg socexp10 urban feddummy hdi02 soc if socexpcook11 < .5
estat ic
* * inclusion of control variables
reg socexp10 urban feddummy hdi02 soc unemp10 if socexpcook11 < .5
reg socexp10 urban feddummy hdi02 soc incineq1 if socexpcook11 < .5
reg socexp10 urban feddummy hdi02 soc popdens if socexpcook11 < .5
* reg socexp10 urban feddummy hdi02 soc polisys if socexpcook11 < .5
* reg socexp10 urban feddummy democ soc polisys if socexpcook11 < .5
* reg socexp10 urban feddummy soc if socexpcook11 < .5
reg socexp10 feddummy soc if socexpcook11 < .5
estat ic
* * model3c
* reg socexp10 urban feddummy dezrev1 polisys if socexpcook11 < .5
* reg socexp10 urban feddummy dezrev1 polisys hdi02 if socexpcook11 < .5
reg socexp10 urban feddummy dezrev1 polisys if socexpcook11 < .5
estat ic
log close

