version 7.0
set more off
capture log close
log using "C:\fd-data\teacher.log", replace
* *** teacher
use "C:\fd-data\fd-cross.dta", clear
* * distribution of teacher
swilk teacher
kdensity teacher, normal
save teacher.gph, replace
gen lnteacher = log(teacher)
swilk lnteacher
kdensity lnteacher, normal
save lnteacher.gph, replace
* *** 1st analysis (bivariate)
reg lnteacher feddummy
reg lnteacher fedtype
reg lnteacher fedlijp
reg lnteacher fedkeman
reg lnteacher fedtreis
reg lnteacher fedgth
reg lnteacher fedmadx
reg lnteacher dezrev2
reg lnteacher dezrev3
reg lnteacher dezrev4
reg lnteacher snadm
reg lnteacher dezrev1
reg lnteacher dezexp
reg lnteacher edu
* *** 2nd analysis (mean difference by federalism)
sort feddummy
by feddummy: sum lnteacher
gen fteacher = lnteacher if feddummy == 1
gen uteacher = lnteacher if feddummy == 0
sdtest fteacher = uteacher
ttest fteacher = uteacher, unpaired unequal
* *** 3rd analysis (bivariate model selection)
* reg lnteacher pcedu
* reg lnteacher growth10
* reg lnteacher unemp10
* reg lnteacher infl10
* reg lnteacher tradebal10
* reg lnteacher govsize10
* reg lnteacher socexp10
* reg lnteacher budgdef10
* reg lnteacher incineq1
* reg lnteacher incineq2
* reg lnteacher incineq3
* reg lnteacher pop
* reg lnteacher area
* reg lnteacher popdens
* reg lnteacher ethnic
* reg lnteacher religion
* reg lnteacher hdi02
* reg lnteacher urban
* reg lnteacher legeng
* reg lnteacher legfren
* reg lnteacher legger
* reg lnteacher legscan
* reg lnteacher democ
* reg lnteacher medage
* * model1 specification
* reg lnteacher popdens legscan
* vif
* * model1a
* * inclusion of federalism, decentralization, fiscal variables
* reg lnteacher popdens feddummy
* reg lnteacher popdens fedtype
* reg lnteacher popdens fedlijp
* reg lnteacher popdens fedkeman
* reg lnteacher popdens fedtreis
* reg lnteacher popdens fedgth
* reg lnteacher popdens fedmadx
* reg lnteacher popdens pcgrants
* reg lnteacher popdens dezrev2
* reg lnteacher popdens dezrev3
* reg lnteacher popdens dezrev4
* reg lnteacher popdens borrauton
* reg lnteacher borrauton
* reg lnteacher popdens hbc
* reg lnteacher hbc
* reg lnteacher popdens snadm
* reg lnteacher popdens dezrev1
* reg lnteacher popdens pcsnborr
* reg lnteacher popdens fimb1
* reg lnteacher popdens fimb2
* reg lnteacher popdens grants
* reg lnteacher popdens dezexp
* reg lnteacher popdens edu
* * model1b
* * inclusion of federalism, decentralization, fiscal variables
* reg lnteacher legscan feddummy
* reg lnteacher legscan fedtype
* reg lnteacher legscan fedlijp
* reg lnteacher legscan fedkeman
* reg lnteacher legscan fedtreis
* reg lnteacher legscan fedgth
* reg lnteacher legscan fedmadx
* reg lnteacher legscan pcgrants
* reg lnteacher legscan dezrev2
* reg lnteacher legscan dezrev3
* reg lnteacher legscan dezrev4
* reg lnteacher legscan borrauton
* reg lnteacher legscan hbc
* reg lnteacher legscan snadm
* reg lnteacher legscan dezrev1
* reg lnteacher legscan pcsnborr
* reg lnteacher legscan fimb1
* reg lnteacher legscan fimb2
* reg lnteacher legscan grants
* reg lnteacher legscan dezexp
* reg lnteacher legscan edu
* * model11 specification
reg lnteacher popdens dezrev2
* vif
hettest
predict teacherhat1
predict teachere1, r
graph teachere1 teacherhat1
save teacher1.gph, replace
swilk teachere1
predict teachercook1, cooksd
local max = 4/e(N)
* display `max'
tab teachercook1 country if teachercook1 > `max'
reg lnteacher popdens dezrev2 if teachercook1 < .5
hettest
reg lnteacher popdens dezrev2 feddummy if teachercook1 < .5
reg lnteacher popdens dezrev2 fedtype if teachercook1 < .5
reg lnteacher popdens dezrev2 fedlijp if teachercook1 < .5
reg lnteacher popdens dezrev2 fedkeman if teachercook1 < .5
reg lnteacher popdens dezrev2 fedtreis if teachercook1 < .5
reg lnteacher popdens dezrev2 fedgth if teachercook1 < .5
reg lnteacher popdens dezrev2 fedmadx if teachercook1 < .5
* * model12 specification
reg lnteacher popdens dezrev3
* vif
hettest
predict teacherhat2
predict teachere2, r
graph teachere2 teacherhat2
save teacher2.gph, replace
swilk teachere2
predict teachercook2, cooksd
local max = 4/e(N)
* display `max'
tab teachercook2 country if teachercook2 > `max'
reg lnteacher popdens dezrev3, robust
reg lnteacher popdens dezrev3 feddummy, robust
reg lnteacher popdens dezrev3 fedtype, robust
reg lnteacher popdens dezrev3 fedlijp, robust
reg lnteacher popdens dezrev3 fedkeman, robust
reg lnteacher popdens dezrev3 fedtreis, robust
reg lnteacher popdens dezrev3 fedgth, robust
reg lnteacher popdens dezrev3 fedmadx, robust
* * model13 specification
reg lnteacher popdens dezrev4
* vif
hettest
predict teacherhat3
predict teachere3, r
graph teachere3 teacherhat3
save teacher3.gph, replace
swilk teachere3
predict teachercook3, cooksd
local max = 4/e(N)
* display `max'
tab teachercook3 country if teachercook3 > `max'
reg lnteacher popdens dezrev4, robust
reg lnteacher popdens dezrev4 feddummy, robust
reg lnteacher popdens dezrev4 fedtype, robust
reg lnteacher popdens dezrev4 fedlijp, robust
reg lnteacher popdens dezrev4 fedkeman, robust
reg lnteacher popdens dezrev4 fedtreis, robust
reg lnteacher popdens dezrev4 fedgth, robust
reg lnteacher popdens dezrev4 fedmadx, robust
* *** 4th analysis (stepwise model selection)
sum pcedu
* * sw reg teacher growth10 unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* * sw reg teacher growth10 unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* * sw reg teacher unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* * sw reg teacher unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* * sw reg teacher unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pop area popdens religion urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* * sw reg teacher unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pop area popdens religion urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
sw reg teacher unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 pop area popdens religion urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* sw reg teacher unemp10 infl10 tradebal10 govsize10 budgdef10 incineq2 pop area popdens religion urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* sw reg teacher unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 pop area popdens ethnic religion urban legger legscan democ medage, pr(.3) pe(.2) forward
* * same result
* vif
reg teacher infl10 religion
* * model failure
sw reg teacher unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 pop area popdens ethnic religion urban legger legscan democ medage, pr(.4) pe(.3) forward
* vif
* reg teacher infl10 unemp10 religion urban area pop democ
* reg teacher infl10 unemp10 religion urban pop democ
* reg teacher infl10 religion urban pop democ
* reg teacher infl10 religion pop democ
* reg teacher infl10 pop democ
* reg teacher pop democ
* * model failure
* *** 5th analysis (further models and tests of stability)
version 9.0
* * model11
reg lnteacher popdens dezrev2 if teachercook1 < .5
estat ic
reg lnteacher popdens dezrev2 infl10 if teachercook1 < .5
reg lnteacher popdens dezrev2 medage if teachercook1 < .5
reg lnteacher popdens dezrev2 democ if teachercook1 < .5
reg lnteacher popdens dezrev2 legscan if teachercook1 < .5
reg lnteacher popdens dezrev2 if teachercook1 < .5
* * model12
reg lnteacher popdens dezrev3 if teachercook2 < .5, robust hc2
estat ic
reg lnteacher popdens dezrev3 medage if teachercook2 < .5, robust hc2
reg lnteacher popdens dezrev3 legscan if teachercook2 < .5, robust hc2
reg lnteacher popdens dezrev3 democ if teachercook2 < .5, robust hc2
reg lnteacher popdens dezrev3 infl if teachercook2 < .5, robust hc2
* * model13
reg lnteacher popdens dezrev4 if teachercook3 < .5, robust hc3
estat ic
reg lnteacher popdens dezrev4 infl10 if teachercook3 < .5, robust hc3
reg lnteacher popdens dezrev4 urban if teachercook3 < .5, robust hc3
reg lnteacher popdens dezrev4 medage if teachercook3 < .5, robust hc3
reg lnteacher popdens dezrev4 democ if teachercook3 < .5, robust hc3
reg lnteacher popdens dezrev4 legscan if teachercook3 < .5, robust hc3
* * model3
* reg lnteacher infl10 medage democ legscan
* reg lnteacher infl10 democ legscan
* reg lnteacher popdens infl10 medage democ legscan
* reg lnteacher popdens infl10 democ legscan
reg lnteacher popdens infl10 democ
* vif
hettest
predict teachere4, r
rvfplot
save teacher4.gph, replace
swilk teachere4
predict teachercook4, cooksd
* tab country teachercook4 if teachercook4 > .25
reg lnteacher popdens infl10 democ, robust hc3
estat ic
* * inclusion of federalism, decentralization, fiscal variables
* reg lnteacher popdens infl10 democ feddummy, robust hc3
* reg lnteacher popdens democ feddummy, robust hc3
* reg lnteacher popdens infl10 democ fedtype, robust hc3
* reg lnteacher popdens infl10 democ fedlijp, robust hc3
* reg lnteacher popdens infl10 fedlijp, robust hc3
* reg lnteacher infl10 fedlijp, robust hc3
* reg lnteacher popdens infl10 democ fedkeman, robust hc3
* reg lnteacher infl10 democ fedkeman, robust hc3
* reg lnteacher popdens infl10 democ fedtreis, robust hc3
* reg lnteacher popdens democ fedtreis, robust hc3
* reg lnteacher popdens infl10 democ fedgth, robust hc3
* reg lnteacher popdens democ fedgth, robust hc3
* reg lnteacher popdens infl10 democ fedmadx, robust hc3
* reg lnteacher popdens democ fedmadx, robust hc3
* reg lnteacher popdens infl10 democ pcgrants, robust hc3
* reg lnteacher popdens democ pcgrants, robust hc3
* reg lnteacher democ pcgrants, robust hc3
* reg lnteacher popdens infl10 democ dezrev2, robust hc3
* reg lnteacher popdens democ dezrev2, robust hc3
* reg lnteacher popdens dezrev2, robust hc3
* reg lnteacher dezrev2, robust hc3
* reg lnteacher popdens infl10 democ dezrev3, robust hc3
* reg lnteacher popdens democ dezrev3, robust hc3
* reg lnteacher popdens infl10 democ dezrev4, robust hc3
* reg lnteacher popdens democ dezrev4, robust hc3
* reg lnteacher popdens dezrev4, robust hc3
* reg lnteacher popdens infl10 democ borrauton, robust hc3
* reg lnteacher popdens democ borrauton, robust hc3
* reg lnteacher democ borrauton, robust hc3
* reg lnteacher popdens infl10 democ hbc, robust hc3
* reg lnteacher popdens democ hbc, robust hc3
* reg lnteacher democ hbc, robust hc3
* reg lnteacher popdens infl10 democ snadm, robust hc3
* reg lnteacher popdens democ snadm, robust hc3
* reg lnteacher popdens infl10 democ dezrev1, robust hc3
* reg lnteacher popdens democ dezrev1, robust hc3
* reg lnteacher popdens infl10 democ pcsnborr, robust hc3
* reg lnteacher popdens democ pcsnborr, robust hc3
* reg lnteacher popdens infl10 democ fimb1, robust hc3
* reg lnteacher popdens infl10 democ fimb2, robust hc3
* reg lnteacher popdens infl10 democ grants, robust hc3
* reg lnteacher popdens democ grants, robust hc3
* reg lnteacher popdens infl10 democ dezexp, robust hc3
* reg lnteacher popdens democ dezexp, robust hc3
* * model31
reg lnteacher infl10 fedlijp fedtype, robust hc3
reg lnteacher infl10 fedlijp dezrev2, robust hc3
reg lnteacher infl10 fedlijp dezrev3, robust hc3
reg lnteacher infl10 fedlijp dezrev4, robust hc3
reg lnteacher infl10 fedlijp dezrev1, robust hc3
reg lnteacher infl10 fedlijp snadm, robust hc3
reg lnteacher infl10 fedlijp dezexp, robust hc3
* * model32
reg lnteacher infl10 dezrev2 feddummy, robust hc3
reg lnteacher infl10 dezrev2 fedtype, robust hc3
* * model33
reg lnteacher dezrev2 feddummy, robust hc3
reg lnteacher dezrev2 fedtype, robust hc3
reg lnteacher dezrev2 fedkeman, robust hc3
reg lnteacher dezrev2 fedlijp, robust hc3
reg lnteacher dezrev2 fedtreis, robust hc3
reg lnteacher dezrev2 fedgth, robust hc3
reg lnteacher dezrev2 fedmadx, robust hc3
* reg lnteacher dezrev2 fedtype feddummy, robust hc3
* reg lnteacher dezrev2 fedtype fedlijp, robust hc3
* reg lnteacher dezrev2 fedtype fedkeman, robust hc3
* reg lnteacher dezrev2 fedtype fedtreis, robust hc3
* reg lnteacher dezrev2 fedtype fedgth, robust hc3
* reg lnteacher dezrev2 fedtype fedmadx, robust hc3
* reg lnteacher dezrev2 fedtype infl10, robust hc3
* reg lnteacher dezrev2 fedtype popdens, robust hc3
* reg lnteacher dezrev2 fedtype legscan, robust hc3
* reg lnteacher dezrev2 fedtype medage, robust hc3
* reg lnteacher dezrev2 fedtype democ, robust hc3
* model34
reg lnteacher infl10 legscan democ medage
hettest
predict teachere5, r
* rvfplot
* save teacher5.gph, replace
swilk teachere5
predict teachercook5, cooksd
* tab country teachercook5 if teachercook5 > .25
* reg lnteacher infl10 legscan democ medage if teachercook5 < .5
reg lnteacher infl10 legscan medage if teachercook5 < .5
reg lnteacher infl10 legscan medage fedtreis dezexp if teachercook5 < .5
estat ic
* * model35
* reg lnteacher popdens dezrev4 feddummy, robust hc3
* reg lnteacher popdens dezrev4 fedtype, robust hc3
* reg lnteacher popdens dezrev4 fedlijp, robust hc3
* reg lnteacher popdens dezrev4 fedkeman, robust hc3
* reg lnteacher popdens dezrev4  fedtreis, robust hc3
* reg lnteacher popdens dezrev4 fedgth, robust hc3
* reg lnteacher popdens dezrev4 fedmadx, robust hc3
log close

