version 7.0
set more off
capture log close
log using "C:\fd-data\unemp.log", replace
* *** unemployment
use "C:\fd-data\fd-cross.dta", clear
* * distribution of unemployment
swilk unemp10
kdensity unemp10, normal
save unemp.gph, replace
gen sqrtunemp10 = sqrt(unemp10)
* *** 1st analysis (bivariate)
reg sqrtunemp10 feddummy
reg sqrtunemp10 fedtype
reg sqrtunemp10 fedlijp
reg sqrtunemp10 fedkeman
reg sqrtunemp10 fedtreis
reg sqrtunemp10 fedgth
reg sqrtunemp10 fedmadx
reg sqrtunemp10 dezrev2
reg sqrtunemp10 dezrev3
reg sqrtunemp10 dezrev4
reg sqrtunemp10 snadm
reg sqrtunemp10 dezrev1
reg sqrtunemp10 dezexp
* *** 2nd analysis (mean difference by federalism)
sort feddummy
by feddummy: sum unemp10
gen funemp = unemp10 if feddummy == 1
gen uunemp = unemp10 if feddummy == 0
sdtest funemp = uunemp
ttest funemp = uunemp, unpaired unequal
* *** 3rd analysis (bivariate model selection)
* reg sqrtunemp10 infl10
* reg sqrtunemp10 tradebal10
* reg sqrtunemp10 govsize10
* reg sqrtunemp10 socexp10
* reg sqrtunemp10 budgdef10
* reg sqrtunemp10 incineq1
* reg sqrtunemp10 incineq2
* reg sqrtunemp10 incineq3
* reg sqrtunemp10 pop
* reg sqrtunemp10 area
* reg sqrtunemp10 popdens
* reg sqrtunemp10 ethnic
* reg sqrtunemp10 religion
* reg sqrtunemp10 hdi02
* reg sqrtunemp10 urban
* reg sqrtunemp10 legeng
* reg sqrtunemp10 legfren
* reg sqrtunemp10 legger
* reg sqrtunemp10 legscan
* reg sqrtunemp10 democ
* reg sqrtunemp10 medage
* reg sqrtunemp10 polisys
* * model1 specification
* reg sqrtunemp10 growth10 infl10 govsize10 budgdef10 urban
* reg sqrtunemp10 growth10 infl10 budgdef10 urban
* vif
* * inclusion of federalism, decentralization, fiscal variables
* reg sqrtunemp10 growth10 infl10 budgdef10 urban feddummy
* reg sqrtunemp10 growth10 infl10 budgdef10 urban fedtype
* reg sqrtunemp10 growth10 infl10 budgdef10 urban fedlijp
* reg sqrtunemp10 growth10 infl10 budgdef10 urban fedkeman
* reg sqrtunemp10 growth10 infl10 budgdef10 urban fedtreis
* reg sqrtunemp10 growth10 infl10 budgdef10 urban fedgth
* reg sqrtunemp10 growth10 infl10 budgdef10 urban fedmadx
* reg sqrtunemp10 growth10 infl10 budgdef10 urban pcgrants
* reg sqrtunemp10 growth10 infl10 budgdef10 pcgrants
* reg sqrtunemp10 growth10 infl10 budgdef10 urban dezrev2
* reg sqrtunemp10 growth10 infl10 budgdef10 dezrev2
* reg sqrtunemp10 growth10 infl10 budgdef10 urban dezrev3
* reg sqrtunemp10 growth10 budgdef10 urban dezrev3
* reg sqrtunemp10 growth10 infl10 budgdef10 urban dezrev4
* reg sqrtunemp10 growth10 budgdef10 urban dezrev4
* reg sqrtunemp10 growth10 infl10 budgdef10 urban borrauton
* reg sqrtunemp10 growth10 infl10 budgdef10 borrauton
* reg sqrtunemp10 growth10 infl10 budgdef10 urban hbc
* reg sqrtunemp10 growth10 infl10 budgdef10 hbc
* reg sqrtunemp10 growth10 infl10 budgdef10 urban snadm
* reg sqrtunemp10 growth10 infl10 budgdef10 snadm
* reg sqrtunemp10 growth10 budgdef10 snadm
* reg sqrtunemp10 growth10 infl10 budgdef10 urban dezrev1
* reg sqrtunemp10 growth10 budgdef10 urban dezrev1
* reg sqrtunemp10 growth10 infl10 budgdef10 urban pcsnborr
* reg sqrtunemp10 growth10 budgdef10 urban pcsnborr
* reg sqrtunemp10 growth10 infl10 budgdef10 urban fimb1
* reg sqrtunemp10 growth10 budgdef10 urban fimb1
* reg sqrtunemp10 growth10 infl10 budgdef10 urban fimb2
* reg sqrtunemp10 growth10 budgdef10 urban fimb2
* reg sqrtunemp10 growth10 infl10 budgdef10 urban grants
* reg sqrtunemp10 growth10 budgdef10 urban grants
* reg sqrtunemp10 growth10 infl10 budgdef10 urban dezexp
* reg sqrtunemp10 growth10 budgdef10 urban dezexp
* * model11 specification
reg sqrtunemp10 growth10 budgdef10 snadm
* vif
hettest
predict unemphat1
predict unempe1, r
graph unempe1 unemphat1
save unemp1.gph, replace
swilk unempe1
predict unempcook1, cooksd
local max = 4/e(N)
* display `max'
tab unempcook1 country if unempcook1 > `max'
reg sqrtunemp10 growth10 budgdef10 snadm if unempcook1 < .5
hettest
reg sqrtunemp10 growth10 budgdef10 snadm if unempcook1 < .5, robust
reg sqrtunemp10 growth10 budgdef10 snadm feddummy if unempcook1 < .5, robust
reg sqrtunemp10 growth10 budgdef10 snadm fedtype if unempcook1 < .5, robust
reg sqrtunemp10 growth10 budgdef10 snadm fedlijp if unempcook1 < .5, robust
reg sqrtunemp10 growth10 budgdef10 snadm fedkeman if unempcook1 < .5, robust
reg sqrtunemp10 growth10 budgdef10 snadm fedtreis if unempcook1 < .5, robust
reg sqrtunemp10 growth10 budgdef10 snadm fedgth if unempcook1 < .5, robust
reg sqrtunemp10 growth10 budgdef10 snadm fedmadx if unempcook1 < .5, robust
* *** 4th analysis (stepwise model selection)
sw reg sqrtunemp10 growth10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* vif
hettest
* predict unemphat2
predict unempe2, r
* graph unempe2 unemphat2
* save unemp2.gph, replace
swilk unempe2
predict unempcook2, cooksd
local max = 4/e(N)
* display `max'
tab unempcook2 country if unempcook2 > `max'
reg sqrtunemp10 budgdef10 incineq2 medage if unempcook2 < .5
hettest
* predict unemphat3
predict unempe3, r
* graph unempe3 unemphat3 if unempcook2 < .5
* save unemp3.gph, replace
swilk unempe3 if unempcook2 < .5
* * inclusion of decentralization, federalism, fiscal variables
* * model21
* reg sqrtunemp10 budgdef10 incineq2 medage feddummy if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage fedtype if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage fedlijp if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage fedkeman if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage fedtreis if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage fedgth if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage fedmadx if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage pcgrants if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage dezrev2 if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage dezrev3 if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage dezrev4 if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage borrauton if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage hbc if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage snadm if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage snadm feddummy if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage snadm fedtype if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage snadm fedlijp if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage snadm fedkeman if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage snadm fedtreis if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage snadm fedgth if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage snadm fedmadx if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage dezrev1 if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage pcsnborr if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage fimb1 if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage fimb2 if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage grants if unempcook2 < .5
* reg sqrtunemp10 budgdef10 incineq2 medage dezexp if unempcook2 < .5
* * no results
* *** 5th analysis (further models and tests of stability)
version 9.0
* * model11
reg sqrtunemp growth10 budgdef10
estat ic
reg sqrtunemp growth10 budgdef10 snadm if unempcook1 < .5, robust hc3
estat ic
* * inclusion of federalism, control variables
reg sqrtunemp growth10 budgdef10 snadm feddummy if unempcook1 < .5
reg sqrtunemp growth10 budgdef10 snadm fedtype if unempcook1 < .5
reg sqrtunemp growth10 budgdef10 snadm fedlijp if unempcook1 < .5
reg sqrtunemp growth10 budgdef10 snadm fedkeman if unempcook1 < .5
reg sqrtunemp growth10 budgdef10 snadm fedtreis if unempcook1 < .5
reg sqrtunemp growth10 budgdef10 snadm fedgth if unempcook1 < .5
reg sqrtunemp growth10 budgdef10 snadm fedmadx if unempcook1 < .5
reg sqrtunemp growth10 budgdef10 snadm infl if unempcook1 < .5
reg sqrtunemp growth10 budgdef10 snadm urban if unempcook1 < .5
* model3
reg sqrtunemp budgdef10 incineq2 medage
predict unempcook4, cooksd
reg sqrtunemp budgdef10 incineq2 medage if unempcook4 < .5
hettest
predict unempe4, r
rvfplot
save unemp4.gph, replace
swilk unempe4 if unempcook4 < .5
estat ic
* * inclusion of federalism decentralization, fiscal variables
* reg sqrtunemp budgdef10 incineq2 medage feddummy if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage fedtype if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage fedlijp if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage fedkeman if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage fedtreis if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage fedgth if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage fedmadx if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage pcgrants if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage dezrev2 if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage dezrev3 if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage dezrev4 if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage borrauton if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage hbc if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage snadm if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage dezrev1 if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage pcsnborr if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage fimb1 if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage fimb2 if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage grants if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage dezexp if unempcook4 < .5
reg sqrtunemp budgdef10 incineq2 medage snadm if unempcook4 < .5
estat ic
* * inclusion of federalism, control variables
reg sqrtunemp budgdef10 incineq2 medage snadm feddummy if unempcook4 < .5
estat ic
reg sqrtunemp budgdef10 incineq2 medage snadm fedtype if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage snadm fedlijp if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 snadm fedlijp if unempcook4 < .5
reg sqrtunemp budgdef10 snadm fedlijp if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 medage snadm fedkeman if unempcook4 < .5
* reg sqrtunemp budgdef10 incineq2 snadm fedkeman if unempcook4 < .5
reg sqrtunemp budgdef10 snadm fedkeman if unempcook4 < .5
reg sqrtunemp budgdef10 incineq2 medage snadm fedtreis if unempcook4 < .5
reg sqrtunemp budgdef10 incineq2 medage snadm fedgth if unempcook4 < .5
reg sqrtunemp budgdef10 incineq2 medage snadm fedmadx if unempcook4 < .5
reg sqrtunemp budgdef10 incineq2 medage snadm infl10 if unempcook4 < .5
reg sqrtunemp budgdef10 incineq2 medage snadm urban if unempcook4 < .5
reg sqrtunemp budgdef10 incineq2 medage snadm govsize10 if unempcook4 < .5
reg sqrtunemp budgdef10 incineq2 medage snadm feddummy infl10 if unempcook4 < .5
reg sqrtunemp budgdef10 incineq2 medage snadm feddummy govsize10 if unempcook4 < .5
reg sqrtunemp budgdef10 incineq2 medage snadm feddummy urban if unempcook4 < .5
reg sqrtunemp budgdef10 incineq2 medage snadm feddummy fedtype if unempcook4 < .5
log close

